Reset Password
curl --request POST \
--url https://api.member.dev/api/v1/contact-auth/reset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"new_password": "<string>",
"token": "<string>"
},
"type": "password_resets"
}
}
'import requests
url = "https://api.member.dev/api/v1/contact-auth/reset"
payload = { "data": {
"attributes": {
"new_password": "<string>",
"token": "<string>"
},
"type": "password_resets"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {new_password: '<string>', token: '<string>'},
type: 'password_resets'
}
})
};
fetch('https://api.member.dev/api/v1/contact-auth/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"access_token": "<string>",
"expires_in": 123,
"refresh_token": "<string>",
"token_type": "bearer"
},
"id": "<string>",
"type": "token_pairs"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}contact-auth
Reset Password
Consume a password_reset link, set new password, return fresh tokens.
POST
/
api
/
v1
/
contact-auth
/
reset
Reset Password
Authorizations
Send platform JWTs, contact JWTs, or team API keys as Authorization: Bearer <token>.
Headers
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I